SystemOrganization addCategory: #ConfigurationOfEyeSee!

Object subclass: #ConfigurationOfEyeSee
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfEyeSee'!

!ConfigurationOfEyeSee commentStamp: 'TudorGirba 4/5/2011 22:00' prior: 0!
ConfigurationOfEyeSee loadDefault!

!ConfigurationOfEyeSee class methodsFor: 'private' stamp: 'TudorGirba 4/27/2011 13:28'!
ensureMetacello
        "Bootstrap Gofer (if necessary), load latest mcz file for ConfigurationOfMetacello (using old 
         Gofer API), then load the latest version of Metacello itself."

        Smalltalk at: #MetacelloProject ifAbsent: [ | error |
                "list of repositories to try, in case primary repository is not accessible"
                (Array 
                        with: 'http://www.squeaksource.com/MetacelloRepository' 
                        with: 'http://seaside.gemstone.com/ss/metacello') do: [:repositoryUrl |
                                ([
                                        Smalltalk at: #Gofer ifAbsent: [
                                        "Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
                                                self bootstrapPackage: 'Gofer-Core-lr.115' from: repositoryUrl ].
                                        Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
                                                gofer := goferClass new
                                                        url: repositoryUrl;
                                                        yourself.
                                                [ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
                                                gofer load ]]
                                                        on: Error
                                                        do: [ :ex |
                                                                error := ex.
                                                                Transcript 
                                                                        cr; 
                                                                        show: 'failed ensureMetacello: ';
                                                                        show: ex description printString;
                                                                        show: '...retrying'.
                                                                "try again"
                                                                ex return: nil ]) ~~ nil
                                        ifTrue: [
                                                "load 'default' group of Metacello"
                                                (Smalltalk at: #ConfigurationOfMetacello) perform: #load.
                                                ^self ]].
                "shouldn't get here unless the load failed ... throw an error"
                self error: 'retry with alternate repository failed: ', error description printString ]! !

!ConfigurationOfEyeSee class methodsFor: 'metacello tool support' stamp: 'TudorGirba 4/5/2011 21:57'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfEyeSee class methodsFor: 'loading' stamp: 'TudorGirba 3/8/2013 22:40'!
loadDefault
	self loadDevelopment! !

!ConfigurationOfEyeSee class methodsFor: 'loading' stamp: 'usmanbhatti 2/22/2013 17:03'!
loadDevelopment
	^(self project version: #development) load! !

!ConfigurationOfEyeSee class methodsFor: 'loading' stamp: 'usmanbhatti 2/15/2013 15:25'!
loadStable
	^(self project version: #stable) load! !

!ConfigurationOfEyeSee class methodsFor: 'accessing' stamp: 'TudorGirba 4/5/2011 21:57'!
project

	^self new project! !

!ConfigurationOfEyeSee methodsFor: 'baselines' stamp: 'TudorGirba 3/8/2013 06:46'!
baseline10:   spec 
	<version: '1.0-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.smalltalkhub.com/mc/Moose/EyeSee/main'.
		spec 
 			package: 'EyeSee-Core' with: [spec requires: #('ShapeST80')];
			package: 'EyeSee-Events';
 			package: 'EyeSee-Axis';
			package: 'EyeSee-Tests-Core';
			package: 'EyeSee-Support'.

		spec group: 'Tests' with: #('EyeSee-Tests-Core').

		spec project: 'ShapeST80' with: [
				spec 
					className: 'ConfigurationOfShapeST80';
					version: #development;
					file:  'ConfigurationOfShapeST80';
					repository: 'http://www.squeaksource.com/ShapeST80'].				
		 ]! !

!ConfigurationOfEyeSee methodsFor: 'baselines' stamp: 'TudorGirba 3/15/2013 23:36'!
baseline11:   spec 
	<version: '1.1-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.smalltalkhub.com/mc/Moose/EyeSee/main'.
		spec description: 'Now loading Eyesee and all dependent packages fron SmalltalkHub'.
		spec 
 			 package: 'EyeSee-Core' with: [spec requires: #('ShapeST80')];
			package: 'EyeSee-Events';
 			package: 'EyeSee-Axis';
			package: 'EyeSee-Tests-Core';
			package: 'EyeSee-Support'.

		spec group: 'Tests' with: #('EyeSee-Tests-Core').

		spec project: 'ShapeST80' with: [
				spec 
					className: 'ConfigurationOfShapeST80';
					version: #stable;
					file:  'ConfigurationOfShapeST80';
					repository: 'http://www.smalltalkhub.com/mc/Moose/ShapeST80/main'].				
		 ]! !

!ConfigurationOfEyeSee methodsFor: 'baselines' stamp: 'TudorGirba 3/8/2013 22:38'!
default: spec 
	self development: spec! !

!ConfigurationOfEyeSee methodsFor: 'symbolic versions' stamp: 'usmanbhatti 2/22/2013 16:59'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.1-baseline'.
! !

!ConfigurationOfEyeSee methodsFor: 'snapshots' stamp: 'TudorGirba 9/10/2013 08:46'!
populateSpec: aSpec with: list
	"generated by Snapshotcello
	
	creates a spec object for the package and the version stored in the list"
	
	list do: [:each |
		aSpec package: each third with: [
			aSpec file: (each first  copyUpToLast: $. ).
			aSpec repository: each second ] ]! !

!ConfigurationOfEyeSee methodsFor: 'accessing' stamp: 'TudorGirba 4/5/2011 21:57'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfEyeSee methodsFor: 'snapshots' stamp: 'TudorGirba 9/10/2013 08:46'!
snapshot1
	"generated by Snapshotcello"

	^ #( 
		#('ConfigurationOfShapeST80-TudorGirba.8.mcz'  'http://www.smalltalkhub.com/mc/Moose/ShapeST80/main/'  'ConfigurationOfShapeST80' ) 
		#('EyeSee-Events-TudorGirba.11.mcz'  'http://www.smalltalkhub.com/mc/Moose/EyeSee/main/'  'EyeSee-Events' ) 
		#('EyeSee-Axis-AndreHora.16.mcz'  'http://www.smalltalkhub.com/mc/Moose/EyeSee/main/'  'EyeSee-Axis' ) 
		#('EyeSee-Tests-Core-AndreHora.68.mcz'  'http://www.smalltalkhub.com/mc/Moose/EyeSee/main/'  'EyeSee-Tests-Core' ) 
		#('EyeSee-Support-usmanbhatti.9.mcz'  'http://www.smalltalkhub.com/mc/Moose/EyeSee/main/'  'EyeSee-Support' ) 
		#('ShapeST80-TudorGirba.2.mcz'  'http://www.smalltalkhub.com/mc/Moose/ShapeST80/main/'  'ShapeST80' ) 
		#('EyeSee-Core-AnneEtien.106.mcz'  'http://www.smalltalkhub.com/mc/Moose/EyeSee/main/'  'EyeSee-Core' ) 
	)! !

!ConfigurationOfEyeSee methodsFor: 'snapshots' stamp: 'TudorGirba 10/24/2013 00:57'!
snapshot2
	"generated by Snapshotcello"

	^ #( 
		#('ConfigurationOfShapeST80-TudorGirba.8.mcz'  'http://www.smalltalkhub.com/mc/Moose/ShapeST80/main/'  'ConfigurationOfShapeST80' ) 
		#('EyeSee-Events-TudorGirba.11.mcz'  'http://www.smalltalkhub.com/mc/Moose/EyeSee/main/'  'EyeSee-Events' ) 
		#('EyeSee-Axis-AndreHora.16.mcz'  'http://www.smalltalkhub.com/mc/Moose/EyeSee/main/'  'EyeSee-Axis' ) 
		#('EyeSee-Tests-Core-AndreHora.68.mcz'  'http://www.smalltalkhub.com/mc/Moose/EyeSee/main/'  'EyeSee-Tests-Core' ) 
		#('EyeSee-Support-usmanbhatti.9.mcz'  'http://www.smalltalkhub.com/mc/Moose/EyeSee/main/'  'EyeSee-Support' ) 
		#('ShapeST80-TudorGirba.2.mcz'  'http://www.smalltalkhub.com/mc/Moose/ShapeST80/main/'  'ShapeST80' ) 
		#('EyeSee-Core-AnneEtien.106.mcz'  'http://www.smalltalkhub.com/mc/Moose/EyeSee/main/'  'EyeSee-Core' ) 
	)! !

!ConfigurationOfEyeSee methodsFor: 'symbolic versions' stamp: 'TudorGirba 10/24/2013 00:57'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'pharo1.4.x' version: '0.9.8.1'.

	spec for: #'pharo2.x' version: '1.2-snapshot'.
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'TudorGirba 3/8/2013 22:39'!
version08: spec
	<version: '0.8' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/27/2011 09:42'.
			spec 
 			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.61';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.7';
 			package: 'EyeSee-Axis' with: 'EyeSee-Axis-TudorGirba.8';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AndreHora.33';
			package: 'EyeSee-Support' with: 'EyeSee-Support-AndreHora.6'.
		].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 11/4/2011 15:22'!
version092: spec
	<version: '0.9.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.1 : Improvement of  ESDiagramRenderer>>form
0.9.2 : added new tests (which fail)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/4/2011 15:22'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AndreHora.72';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.10';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.43';
			package: 'EyeSee-Support' with: 'EyeSee-Support-AndreHora.6'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/7/2011 16:27'!
version093: spec
	<version: '0.9.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.2 : added new tests (which fail)
0.9.3 : Removed a dead class'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/7/2011 16:27'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.75';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.48';
			package: 'EyeSee-Support' with: 'EyeSee-Support-TudorGirba.7'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/8/2011 13:03'!
version094: spec
	<version: '0.9.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.3 : Removed a dead class
0.9.4 : added comments in ESSingleAxisDiagram'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/8/2011 13:03'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.76';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.49';
			package: 'EyeSee-Support' with: 'EyeSee-Support-SergeStinckwich.8'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/8/2011 13:12'!
version095: spec
	<version: '0.9.5' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.4 : added comments in ESSingleAxisDiagram
0.9.5 : Added a more interesting example using the deviation line'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/8/2011 13:12'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.76';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.50';
			package: 'EyeSee-Support' with: 'EyeSee-Support-SergeStinckwich.8'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/9/2011 11:13'!
version096: spec
	<version: '0.9.6' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.5 : Added a more interesting example using the deviation line
0.9.6 : Added comments'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/9/2011 11:13'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.77';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.50';
			package: 'EyeSee-Support' with: 'EyeSee-Support-SergeStinckwich.8'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/9/2011 17:21'!
version097: spec
	<version: '0.9.7' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.6 : Added comments
0.9.7 : improvement of Andre + comment in openPlotWith:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/9/2011 17:21'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.84';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.50';
			package: 'EyeSee-Support' with: 'EyeSee-Support-SergeStinckwich.8'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'usmanbhatti 2/15/2013 15:24'!
version0981: spec
	<version: '0.9.8.1' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Version when moving to SThub'.
		spec author: 'usmanbhatti'.
		spec timestamp: '2/15/2013 15:23'.
		spec project: 'ShapeST80' with: #'stable'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core';
			package: 'EyeSee-Events' with: 'EyeSee-Events';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core';
			package: 'EyeSee-Support' with: 'EyeSee-Support'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'AlexandreBergel 12/9/2011 17:21'!
version098: spec
	<version: '0.9.8' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.7 : improvement of Andre + comment in openPlotWith:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/9/2011 17:21'.
		spec project: 'ShapeST80' with: '1.0'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.84';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.8';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-AndreHora.11';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AlexandreBergel.50';
			package: 'EyeSee-Support' with: 'EyeSee-Support-SergeStinckwich.8'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'versions' stamp: 'TudorGirba 3/8/2013 22:39'!
version09: spec
	<version: '0.9' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9.1 : Improvement of  ESDiagramRenderer>>form'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/27/2011 12:04'.
		spec 
			package: 'EyeSee-Core' with: 'EyeSee-Core-AlexandreBergel.62';
			package: 'EyeSee-Events' with: 'EyeSee-Events-AndreHora.7';
			package: 'EyeSee-Axis' with: 'EyeSee-Axis-TudorGirba.8';
			package: 'EyeSee-Tests-Core' with: 'EyeSee-Tests-Core-AndreHora.33';
			package: 'EyeSee-Support' with: 'EyeSee-Support-AndreHora.6'. ].
! !

!ConfigurationOfEyeSee methodsFor: 'snapshot versions' stamp: 'TudorGirba 9/10/2013 08:46'!
version11snapshot: spec
	"generated by Snapshotcello"
	<version: '1.1-snapshot'>

	spec for: #common do: [
		self populateSpec: spec with: self snapshot1 ]! !

!ConfigurationOfEyeSee methodsFor: 'snapshot versions' stamp: 'TudorGirba 10/24/2013 00:57'!
version12snapshot: spec
	"generated by Snapshotcello"
	<version: '1.2-snapshot'>

	spec for: #common do: [
		self populateSpec: spec with: self snapshot2 ]! !
